Skip to content

Bandwidth Control ​

7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getBandwidthCtrlGETGet bandwidth control
modifyBandwidthCtrlPATCHModify bandwidth control
getGridBandwidthCtrlRuleGETGet bandwidth control rule list
modifyBandwidthCtrlRuleIndexPATCHModify bandwidth control rule index
createBandwidthCtrlRulePOSTCreate bandwidth control rule
deleteBandwidthCtrlRuleDELETEDelete bandwidth control rule
modifyBandwidthCtrlRulePATCHModify bandwidth control rule

getBandwidthCtrl ​

GET /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control

Get bandwidth control

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getBandwidthCtrl",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get bandwidth control.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only

modifyBandwidthCtrl ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control

Modify bandwidth control

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BandwidthControl

FieldTypeRequiredDescription
enablebooleanyesEnable the bandwidth control.
thresholdControlEnablebooleannoEnable the threshold control of the bandwidth control.
thresholdValueintegernoThreshold value should be within the range of 1–100. Threshold value must be entered when threshold control is enable.
bandwidthPortSettingsarray<BandwidthPortSetting>noBandwidth port settings of the bandwidth control.
json
// omada_call_operation
{
  "operationId": "modifyBandwidthCtrl",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify bandwidth control.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.

getGridBandwidthCtrlRule ​

GET /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control/rules

Get bandwidth control rule list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridBandwidthCtrlRule",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get bandwidth control rule list.
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
Site Device Manager View Only

modifyBandwidthCtrlRuleIndex ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control/rules

Modify bandwidth control rule index

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema TransmissionDragSortIndexOpenapiVO

FieldTypeRequiredDescription
indexesobjectyesThe order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set.
json
// omada_call_operation
{
  "operationId": "modifyBandwidthCtrlRuleIndex",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify bandwidth control rule index.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify

createBandwidthCtrlRule ​

POST /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control/rules

Create bandwidth control rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema BandwidthControlRule

FieldTypeRequiredDescription
idstringnoID of the bandwidth control rule.
namestringyesName should contain 1 to 64 characters.
indexintegernoIndex of the bandwidth control rule.
statusbooleanyesStatus of the bandwidth control rule.
sourceTypeintegernoSource type should be a value as follows: 0: network; 1: IP group.
sourceIdsarray<string>yesSource IDs of the bandwidth control rule. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. IP group can be created using 'Create a new group profile' interface, and IP group ID can be obtained from 'Get group profile list' interface.
wanPortIdsarray<string>yesWAN port IDs of the bandwidth control rule.WAN port ID can be obtained from 'Get internet basic info' interface.
upstreamBandwidthintegeryesUpstream bandwidth should be within the range of 1–9999999.
upstreamBandwidthUnitintegeryesUpstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps.
downstreamBandwidthintegeryesDownstream bandwidth should be within the range of 1–9999999.
downstreamBandwidthUnitintegeryesDownstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps.
modeintegeryesMode should be a value as follows: 0: share; 1: individual.
json
// omada_call_operation
{
  "operationId": "createBandwidthCtrlRule",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create bandwidth control rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.

deleteBandwidthCtrlRule ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control/rules/{ruleId}

Delete bandwidth control rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
ruleIdpathstringyesBandwidth control rule ID
json
// omada_call_operation
{
  "operationId": "deleteBandwidthCtrlRule",
  "params": {
    "siteId": "<siteId>",
    "ruleId": "<ruleId>"
  }
}
Details, permissions and error codes

Delete bandwidth control rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify

modifyBandwidthCtrlRule ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/bandwidth-control/rules/{ruleId}

Modify bandwidth control rule

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
ruleIdpathstringyesBandwidth control rule ID

Request body — application/json (required) — schema BandwidthControlRule

FieldTypeRequiredDescription
idstringnoID of the bandwidth control rule.
namestringyesName should contain 1 to 64 characters.
indexintegernoIndex of the bandwidth control rule.
statusbooleanyesStatus of the bandwidth control rule.
sourceTypeintegernoSource type should be a value as follows: 0: network; 1: IP group.
sourceIdsarray<string>yesSource IDs of the bandwidth control rule. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. IP group can be created using 'Create a new group profile' interface, and IP group ID can be obtained from 'Get group profile list' interface.
wanPortIdsarray<string>yesWAN port IDs of the bandwidth control rule.WAN port ID can be obtained from 'Get internet basic info' interface.
upstreamBandwidthintegeryesUpstream bandwidth should be within the range of 1–9999999.
upstreamBandwidthUnitintegeryesUpstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps.
downstreamBandwidthintegeryesDownstream bandwidth should be within the range of 1–9999999.
downstreamBandwidthUnitintegeryesDownstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps.
modeintegeryesMode should be a value as follows: 0: share; 1: individual.
json
// omada_call_operation
{
  "operationId": "modifyBandwidthCtrlRule",
  "params": {
    "siteId": "<siteId>",
    "ruleId": "<ruleId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify bandwidth control rule.
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.